/*
    underline-menu
*/
import $ from '../../util/dom-core.js'
import { getParentByClassname } from '../../util/util.js'

// 构造函数
function Format(editor) {
    this.editor = editor
    this.$elem = $(
        `<div class="lsiten-e-menu">
            清空样式
        </div>`
    )
    this.type = 'click'

    // 当前是否 active 状态
    this._active = false
}

// 原型
Format.prototype = {
    constructor: Format,

    // 点击事件
    onClick: function (e) {
        // 点击菜单将触发这里
        let pagemanage = this.editor.page;
        let $currentLine = pagemanage.editorPosition.currentLine;
        let $textElem = pagemanage.$el;
        if (!$currentLine) {
          console.log("%c请在框内操作！", "color:red");
          return '';
        }
        let $border = getParentByClassname($currentLine, 'js-lsiten-border');
        if (!$border) {
          console.log("%c请在框内添操作！", "color:red");
          return '';
        }
        $currentLine[0].innerHTML = $currentLine[0].innerText;
        pagemanage._updatePositionInfo(false, $currentLine);
        this.editor.selection.getRange().setStart($currentLine[0], 0);
        $currentLine[0].focus();    
    },

    // 试图改变 active 状态
    tryChangeActive: function (e) {
    }
}

export default Format